// Mike Maxim
// IRTree rep for expression;statement

package edu.cmu.cs.l3.tree;

public class IRESeq extends IRExpression {

    public IRESeq(IRStatement e, IRExpression v) {
	m_effect=e; m_value=v;

	m_classname = "IRESeq";
    }

    public IRExpression getExpression() {
	return m_value;
    }

    public void setExpression(IRExpression value) {
	m_value = value;
    }

    public IRStatement getEffect() {
	return m_effect;
    }

    public void setEffect(IRStatement e) {
	m_effect = e;
    }

    public IRExpressionList getComponents() {
	return new IRExpressionList(m_value);
    }

    public IRExpression build(IRExpressionList comps) {
	return new IRESeq(m_effect,comps.getExpression(0));
    }

    private IRExpression m_value;
    private IRStatement m_effect;
}

